Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.content
Class KeyName

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.keys.content.KeyName

All Implemented Interfaces:
  KeyInfoContent

    public class KeyName

extends SignatureElementProxy
implements KeyInfoContent

Author:
  $Author: coheigea $

Field Summary

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`KeyName(org.w3c.dom.Document doc, java.lang.String keyName)` Constructor KeyName
`KeyName(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor KeyName

Method Summary
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`java.lang.String` | `getKeyName()` Method getKeyName

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyName

    public KeyName(org.w3c.dom.Element element,
                   java.lang.String BaseURI)
            throws XMLSecurityException

  Constructor KeyName

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

### KeyName

    public KeyName(org.w3c.dom.Document doc,
                   java.lang.String keyName)

  Constructor KeyName

  Parameters:
    `doc` -
    `keyName` -

Method Detail

### getKeyName

    public java.lang.String getKeyName()

  Method getKeyName

  Returns:
    key name

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD